huff_node_s Struct Reference

## Data Fields

int | nbits
struct huff_node_s * | l
union { |
int32 ival |
char * sval |
struct huff_node_s * r |
} | r |

## Detailed Description

Definition at line 48 of file huff_code.c.

## Field Documentation

## ival

int32 huff_node_s::ival

Definition at line 52 of file huff_code.c.

## l

struct huff_node_s* huff_node_s::l

Definition at line 50 of file huff_code.c.

## nbits

int huff_node_s::nbits

Definition at line 49 of file huff_code.c.

## r

struct huff_node_s* huff_node_s::r

Definition at line 54 of file huff_code.c.

## sval

char* huff_node_s::sval

Definition at line 53 of file huff_code.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/huff_code.c